package com.deekor.fingerpainting;

import android.content.SharedPreferences;
import android.graphics.Color;
import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.view.ViewGroup;
import android.widget.LinearLayout;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.ArrayList;

public class PaletteActivity extends Activity {

    PaletteView palette;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //setContentView(R.layout.palette_activity);
        palette = new PaletteView(this);
        addContentView(palette, new LinearLayout.LayoutParams(ViewGroup.LayoutParams.MATCH_PARENT, ViewGroup.LayoutParams.WRAP_CONTENT));
        setTitle("Color Palette");
    }

    @Override
    protected void onResume()
    {
        super.onResume();
        //Get the colors back
        try
        {
            ArrayList<Integer> colors;
            FileInputStream ins = openFileInput("colors.dat");
            ObjectInputStream reader = new ObjectInputStream(ins);
            colors = (ArrayList<Integer>)reader.readObject();

            for(int c : colors)
            {
                palette.addColor(c);
            }
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }

    }


    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.palette, menu);
        return true;
    }

    public void changeColor(int color)
    {
        SharedPreferences settings = getSharedPreferences("colors", MODE_PRIVATE);
        SharedPreferences.Editor editor = settings.edit();
        editor.putInt("currentColor", color);
        editor.commit();
    }

    public int getColor()
    {
        SharedPreferences settings = getSharedPreferences("colors", MODE_PRIVATE);
        return  settings.getInt("currentColor", 0);
    }

    public void saveColors(ArrayList<Integer> colors)
    {
        try
        {
            FileOutputStream os = openFileOutput("colors.dat", MODE_PRIVATE);
            ObjectOutputStream output = new ObjectOutputStream(os);
            output.writeObject(colors);
            output.close();
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }
    }
    
}
